package com.nexirius.framework.datamodel.json;

import com.nexirius.util.TextToken;

public class JsonParseException extends Exception {
    public JsonParseException(TextToken have, String expect, String message) {
        this(message + " (have: " + have + " but expect: " + expect + ")");
    }

    public JsonParseException(String message) {
        super(message);
    }

    public JsonParseException(Exception ex) {
        super(ex);
    }
}
