package com.nexirius.framework.datamodel.xml;

import com.nexirius.framework.datamodel.DataModel;
import com.nexirius.framework.datamodel.SimpleModel;

import java.io.OutputStream;

public class SimpleModelXmlGenerator implements IXmlGenerator {
    public static final String SIMPLE_MODEL = "SimpleModel";

    public void generateXml(DataModelXmlGenerator generator, OutputStream out, DataModel model) throws Exception {
        generator.startTag(out, SIMPLE_MODEL, model.getFieldName());
        generator.addText(out, ((SimpleModel)model).getSimpleType().toString());
        generator.endTag(out, SIMPLE_MODEL);
    }
}
