package com.nexirius.framework.rest.example.parameter;

import com.nexirius.framework.datamodel.StringModel;
import com.nexirius.framework.datamodel.StructModel;

public class DeleteParameterModel extends StructModel {
    private StringModel key;
    private StringModel className;

    public DeleteParameterModel() {
        super("DeleteParameter");
        init("", "");
    }

    public DeleteParameterModel(String key, String className) {
        super("DeleteParameter");
        init(key, className);
    }

    private void init(String key, String className) {
        append(this.key = new StringModel(key, "key"));
        append(this.className = new StringModel(className, "className"));
    }

    public String getKey() {
        String ret = key.getText();
        return ret.length() == 0 ? null : ret;
    }

    public String getClassName() {
        return className.getText();
    }
}