package com.nexirius.framework.datamodel.json;

import com.nexirius.framework.datamodel.DataModel;

import java.io.PushbackInputStream;
import java.io.IOException;

public interface IJsonFormatMap {
    public IJsonFormat getJsonFormat(DataModel model);
    public void registerJsonFormat(Class dataModelClass, IJsonFormat format);

    /**
     * @return a mapping which translates a name into a class or vice versa
     */
    public IClassNameMap getClassNameMap();

    DataModel createModel(PushbackInputStream in) throws IOException;
}
