//{HEADER
/**
 * This class is part of jnex 'Nexirius Application Framework for Java'
 *	
 * Copyright (C) Nexirius GmbH, CH-4450 Sissach, Switzerland (www.nexirius.ch)
 * 
 * <p>This library is free software; you can redistribute it and/or<br>
 * modify it under the terms of the GNU Lesser General Public<br>
 * License as published by the Free Software Foundation; either<br>
 * version 2.1 of the License, or (at your option) any later version.</p>
 * 
 * <p>This library is distributed in the hope that it will be useful,<br>
 * but WITHOUT ANY WARRANTY; without even the implied warranty of<br>
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU<br>
 * Lesser General Public License for more details.</p>
 * 
 * <p>You should have received a copy of the GNU Lesser General Public<br>
 * License along with this library; if not, write to the Free Software<br>
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</p>
 * </blockquote>
 * 
 * <p>
 * Nexirius GmbH, hereby disclaims all copyright interest in<br>
 * the library jnex' 'Nexirius Application Framework for Java' written<br>
 * by Marcel Baumann.</p>
 */
//}HEADER
package com.nexirius.util;



public class TestTimer implements CommandTarget {



    int i = 0;

    public boolean execute(CommandTarget caller, String function, Object parameters[]) {
        //System.out.println("execute-->" + function);

        return true;
    }

    public void run() {
        Timer t1 = new Timer("Timer", this, true);

        //System.out.println("alert after 10000");

        t1.alertAfter(10000);

        //System.out.println("sleep 20000");

        try {
            Thread.currentThread().sleep(20000);
        } catch (Exception ex) {
        }

        //System.out.println("after sleep, before interrupt");

        t1.interrupt();

        //System.out.println("after interrupt");
    }

    public static void main(String argv[])
            throws Exception {
        TestTimer tt = new TestTimer();

        tt.run();

        throw new Exception("END.");
    }
}
